function [ B2 ] = B( alpha, choice )

    phi = alpha(1);         % Roll around Z-axis (3. rot. around fixed axes)
    theta = alpha(2);       % Pitch around Y-axis
    
    c1 = cos(phi);
    s1 = sin(phi);
    c2 = cos(theta);
    s2 = sin(theta);
    t2 = s2/c2;
    
    if choice == 1              % alpha -> B
        B2 = [0, -s1, c1*c2;
            0, c1, s1*c2;
            1, 0 ,-s2];
        
    else                        % alpha -> inv(B)
        B2 = [t2*c1, t2*s1, 1;
            -s1, c1, 0;
            c1/c2, s1/c2, 0];
    end
end

