function [ F_rep ] = force( x )

    global x_wall eta rho0 beta;
    
    rho = abs(x_wall+beta*rho0-x);
    
    if rho <= rho0
        F_rep = eta*(1/rho-1/rho0)*(1/rho^2); 
    else
        F_rep = 0;
    end
end

