function g_vector = mat_g(q)


    q2 = q(2);
    q3 = q(3);
    q4 = q(4);
    q5 = q(5);
    
    global a d lc m g;
    a2 = a(3);
    a3 = a(4);
    d4 = -d(5);
    d6 = -d(7);
    lc2 = lc(2);
    lc3 = lc(3);
    lc5 = lc(5);
    m2 = m(2);
    m3 = m(3);
    m4 = m(4);
    m5 = m(5);

    t104 = q2 + q3;
    t105 = cos(t104);
    t106 = sin(t104);
    t107 = sin(q5);
    t108 = cos(q4);
    t109 = cos(q5);

    g_vector = [0;
        -g.*m2.*cos(q2).*(a2 + lc2);
        g.*m3.*(a3.*t106 - d4.*t105 + lc3.*t105 - d6.*t105.*t109 + d6.*t106.*t107.*t108);
        d6.*g.*t105.*t107.*sin(q4).*(m3 + m4);
        g.*(t106.*t107 - t105.*t108.*t109).*(d6.*m3 + d6.*m4 + d6.*m5 + lc5.*m5);
        0];
end