function [ B2 ] = B_dot( alpha, alphad, choice )

    phi = alpha(1);         % Roll around Z-axis (3. rot. around fixed axes)
    theta = alpha(2);       % Pitch around Y-axis
    
    c1 = cos(phi);
    s1 = sin(phi);
    c2 = cos(theta);
    s2 = sin(theta);
    t2 = s2/c2;
    d1 = alphad(1);
    d2 = alphad(2);
    
    if choice == 1              % alpha,alphad -> B_dot
        B2 = [0, -c1*d1, -s1*c2*d1-c1*s2*d2;
            0, -s1*d1, c1*c2*d1-s1*s2*d2;
            0, 0 ,-c2*d2];
        
    else                        % alpha,alphad -> inv(B)_dot
        B2 = [(d2*c1)/c2^2-(d1*s1*s2)/c2, (d2*s1)/c2^2+(d1*c1*s2)/c2, 0;
            -d1*c1, -d1*s1, 0;
            -(d1*c2*s1-d2*c1*s2)/c2^2, (d1*c1*c2+d2*s1*s2)/c2^2, 0];
    end
end

