% Initializing
tic;
clc;

if ~(exist('modeling_complete','var'))
    disp('Cleaning...');
    clear all;
end


hybrid_controller = 1;      % 0: pure position control | 1: hybrid controller
select_position = 1;        % 0: constant | 1: circle
select_force = 2;           % 0: step | 1: ramp | 2: sine

select_simulation = 1;
select_plotting = 1;
select_animation = 1;


if ~(exist('modeling_complete','var'))
    symbolic = 1;
    init;
    disp('Initializing complete');
    disp('Remodeling...');
    model;
    toc;
    symbolic = 0;
    init;
else
   init;
   disp('Initializing complete');
end


if select_simulation
    disp('Simulating...');
    sim('robot_hybrid');
    disp('Simulation complete');
    toc;
end

if select_plotting
    plotting;
end

if select_animation
    animation;
end