function [ Ja_dot ] = mat_Ja_dot(q,qd)


    J = mat_J(q);
    w = J(4:6,:)*q;
    
    alpha = rpy(R_q(q));
    alphad = B(alpha, 2)*w;
    
    B2 = blkdiag(eye(3), B(alpha, 2));
    B2_dot = blkdiag(zeros(3), B_dot(alpha, alphad, 2));
    
    Ja_dot = B2*mat_J_dot(q,qd) + B2_dot*J;
end